%global	addon layer-via-copy-cut

Name:		gimp-%{addon}
Version:	1.6
Release:	2%{?dist}
Summary:	Layer via copy/cut plug-in for GIMP
License:	GPLv3+
URL:		http://some-gimp-plugins.com/contents/en/
Source0:	http://some-gimp-plugins.com/contents/en/extensions/002/%{addon}.zip
Source1:	%{name}.metainfo.xml
Source2:	LICENSE.txt
%if 0%{?fedora} >= 21  
BuildRequires:	libappstream-glib
%endif
Requires:	gimp >= 2.6.0, python
BuildArch:	noarch

%description
Copy and move the selected area to a new layer in the same position.

%prep
%autosetup -c  %{name}
cp -p %{SOURCE2} .

%build

%install
install -d %{buildroot}%{_datadir}/gimp/2.0/plug-ins/
install -m 755 -p %{addon}.py -t %{buildroot}%{_datadir}/gimp/2.0/plug-ins/


%if 0%{?fedora} >= 21  
# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.metainfo.xml
%endif

%files
%doc info.txt changelog.txt
%{_datadir}/gimp/2.0/plug-ins/%{addon}.py*
%if 0%{?fedora} >= 21  
#AppStream metadata
%{_datadir}/appdata/%{name}.metainfo.xml
%endif
%license LICENSE.txt

%changelog
* Sun May 29 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6-2
- Include license file

* Thu Apr 21 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 1.6-1
- Initial build 
